Package picard.arrays

## Class CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.arrays.CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics

- Direct Known Subclasses:
    `CollectArraysVariantCallingMetrics.ArraysVariantCallingDetailMetrics`
  Enclosing class:
    CollectArraysVariantCallingMetrics

      public static class CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics
      extends MergeableMetricBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `float` | `AUTOCALL_CALL_RATE` | The overall autocall call rate
    `float` | `CALL_RATE` | The overall call rate
    `long` | `NOVEL_SNPS` | The number of high confidence SNPS called that were not found in dbSNP
    `long` | `NUM_ASSAYS` | The total number of assays (SNP and indels) in the VCF
    `long` | `NUM_AUTOCALL_CALLS` | The number of passing autocall calls
    `long` | `NUM_CALLS` | The number of passing calls
    `long` | `NUM_FILTERED_ASSAYS` | The total number of filtered assays in the VCF
    `long` | `NUM_IN_DB_SNP` | The number of high confidence SNPs found in dbSNP
    `long` | `NUM_INDELS` | The number of indel calls
    `long` | `NUM_NO_CALLS` | The number of no-calls
    `long` | `NUM_NON_FILTERED_ASSAYS` | The total number of NON-filtered assays in the VCF
    `long` | `NUM_SINGLETONS` | For summary metrics, the number of variants that appear in only one sample.
    `long` | `NUM_SNPS` | The number of bi-allelic SNP calls
    `long` | `NUM_ZEROED_OUT_ASSAYS` | The total number of zeroed-out (filtered out by Illumina in chip design) assays in the VCF
    `float` | `PCT_DBSNP` | The fraction of high confidence SNPs in dbSNP

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArraysVariantCallingSummaryMetrics()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `calculateDerivedFields()` | Placeholder method that will calculate the derived fields from the other ones.
    `static <T extends CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics> void` | `foldInto​(CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics target, Collection<CollectArraysVariantCallingMetrics.ArraysVariantCallingDetailMetrics> metrics)` |
    `static String` | `getFileExtension()` |

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NUM_ASSAYS

          public long NUM_ASSAYS

      The total number of assays (SNP and indels) in the VCF

    - #### NUM_NON_FILTERED_ASSAYS

          public long NUM_NON_FILTERED_ASSAYS

      The total number of NON-filtered assays in the VCF

    - #### NUM_FILTERED_ASSAYS

          public long NUM_FILTERED_ASSAYS

      The total number of filtered assays in the VCF

    - #### NUM_ZEROED_OUT_ASSAYS

          public long NUM_ZEROED_OUT_ASSAYS

      The total number of zeroed-out (filtered out by Illumina in chip design) assays in the VCF

    - #### NUM_SNPS

          public long NUM_SNPS

      The number of bi-allelic SNP calls

    - #### NUM_INDELS

          public long NUM_INDELS

      The number of indel calls

    - #### NUM_CALLS

          public long NUM_CALLS

      The number of passing calls

    - #### NUM_AUTOCALL_CALLS

          public long NUM_AUTOCALL_CALLS

      The number of passing autocall calls

    - #### NUM_NO_CALLS

          public long NUM_NO_CALLS

      The number of no-calls

    - #### NUM_IN_DB_SNP

          public long NUM_IN_DB_SNP

      The number of high confidence SNPs found in dbSNP

    - #### NOVEL_SNPS

          public long NOVEL_SNPS

      The number of high confidence SNPS called that were not found in dbSNP

    - #### PCT_DBSNP

          public float PCT_DBSNP

      The fraction of high confidence SNPs in dbSNP

    - #### CALL_RATE

          public float CALL_RATE

      The overall call rate

    - #### AUTOCALL_CALL_RATE

          public float AUTOCALL_CALL_RATE

      The overall autocall call rate

    - #### NUM_SINGLETONS

          public long NUM_SINGLETONS

      For summary metrics, the number of variants that appear in only one sample. For detail metrics, the number of variants that appear only in the current sample.

  - ### Constructor Detail

    - #### ArraysVariantCallingSummaryMetrics

          public ArraysVariantCallingSummaryMetrics()

  - ### Method Detail

    - #### getFileExtension

          public static String getFileExtension()

    - #### calculateDerivedFields

          public void calculateDerivedFields()

      Description copied from class: `MergeableMetricBase`
      Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.
      Overrides:
        `calculateDerivedFields` in class `MergeableMetricBase`

    - #### foldInto

          public static <T extends CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics> void foldInto​(CollectArraysVariantCallingMetrics.ArraysVariantCallingSummaryMetrics target,
                                                                                                                        Collection<CollectArraysVariantCallingMetrics.ArraysVariantCallingDetailMetrics> metrics)